$(function() {

  popup_delay=Drupal.settings.views_popup.reset_time;
  popup_time = Drupal.settings.views_popup.popup_delay;

  $(".views-popup").appendTo("body");

   $(".views-popup-row").mouseover(function() {
    showit("#views-popup-" + $(this).attr("id"));
    })
    .mouseout(function() {
		    hideit("#views-popup-" + $(this).attr("id"));
	    });
    $(".views-popup-row").mousemove(function(e) {
      var offset = $(this).offset();
      var myid = $(this).attr("id");
      var obj = document.getElementById(myid);
      var top, left;
      if (Drupal.settings.views_popup.follow_mouse){
        left = e.pageX + 15;
        top = e.pageY;
      } else {
        left = 20;
        top = 2 + obj.offsetHeight;
        while(obj){
          left += obj.offsetLeft;
          top  += obj.offsetTop;
          obj = obj.offsetParent;
        }
      }
      $("#views-popup-" + myid).css({
          left: left + 'px',
          top: top + 'px'
      });
    });
    //$("a.views-popup-row").cluetip({local:true, cursor: 'pointer'});
});

var popup_time;
var popup_delay;

var popup_elem=0;
function showit( id ) {
	popup_elem = $(id);
	if(popup_time==0){ // setTimeout with a delay of zero causes a small delay resulting in flickering of popups
		startshowit();
	} else {
		setTimeout("startshowit('" + id + "');",popup_time);
	}
}
function start_position_update(el) {

}
function startshowit(id) {
	$popup_elem = $(id);
	if(popup_elem) {
		start_position_update(popup_elem);
		popup_elem.show();
		popup_time=0;
	}
}
var reset;
function hideit( id ) {
	var e;
	popup_elem=0;
	e = $(id);
	if( e ) {
		e.hide();
		clearTimeout(reset); // Only reset popup_time for the most recent mouseout
		reset = setTimeout('resetpopup()',Drupal.settings.views_popup.reset_time);
	}
}
function resetpopup(){
	if(popup_elem==0){
		popup_time=Drupal.settings.views_popup.popup_delay;
	}
}




